Subject: Re: [PATCH 01/10 net-next] ipv6: convert CONFIG_IPV6 to built-in only and clean up Kconfigs

From: Sabrina Dubroca <[email-masked]>
Date: Tue, 10 Mar 2026 21:35:16 +0100

2026-03-10, 20:58:15 +0100, Arnd Bergmann wrote:
> On Tue, Mar 10, 2026, at 20:40, Kolbjørn Barmen wrote:
> > On Mon, 9 Mar 2026, Krzysztof Kozlowski wrote:
> >> On 09/03/2026 03:19, Fernando Fernandez Mancera wrote:
> >>
> >> It must stay module for me. Alternatively, drop it, but then some users
> >> will be really affected.
> >
> > I agree. If anything I would prefer to see IPv4 be made optional (and
> > modular) as well, and not as something IPv6 depends on, it's (AFAIK)
> > impossible today to build an IPv6-only Linux kernel. 
> 
[...]
> For optional IPv4 support, I would expect that it's possible
> to make it a loadable module, with a significant amount of
> work and little benefit. Loading an ipv6 module without also
> loading ipv4 sounds completely unrealistic though, given
> the way the code is structured today.

I played with building IPv6-only kernels some years ago. It was
possible (at least for the reduced config I was using as a start), but
yes, a fair amount of investigation and churn, to find all the IPv4
common code and turn it into "generic" common code.

IPv4 as a module would get us in the same mess with have with IPv6,
let's not do that.

But even IPV4=n, I abandonned the idea because of the work/churn vs
benefit ratio.

-- 
Sabrina